<!--
  Generated template for the TabAccountPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<!--
<ion-header>

  <ion-navbar>
    <ion-buttons end>
      <button ion-button icon-only>
        <ion-icon name="settings"></ion-icon>
      </button>
    </ion-buttons>
  </ion-navbar>

</ion-header>
-->


<ion-content padding>
  <ion-refresher (ionRefresh)="doRefresh($event)" color="white-footer">
      <ion-refresher-content
        color="white-footer"
        pullingIcon="null"
        pullingText=""
        refreshingSpinner="ios-small"
        refreshingText="">
      </ion-refresher-content>
  </ion-refresher>

  <div text-center margin-top *ngIf="isLoading">
    <ion-spinner name="ios-small"></ion-spinner>
  </div>
  <div *ngIf="!isLoading">
    <!--<p *ngIf="isMyProfile">Mi perfil</p>-->
    <ion-grid>
      <ion-row>
        <ion-col col-6 offset-3 text-center (click)="showImage(user.image)">
          <preload-image [ratio]="{w:1, h:1}" [src]="user.image"></preload-image>
        </ion-col>
      </ion-row>
    </ion-grid>
    <p ion-text class="user-fullname semi-bold" no-margin text-center>{{ user.first_name }} {{ user.last_name }}</p>
    <div text-center>
      <button ion-button small outline round color="walkthrough" (click)="goEditProfile()">EDITAR PERFIL</button>
    </div>

    <ion-row margin-top>
      <ion-col col-4 text-center>
        <p ion-text no-margin color="light-gray" class="bold" style="font-size: 1.3rem">{{ user.num_posts }}</p>
        <p ion-text no-margin color="light-gray" class="semi-bold" style="font-size: 1rem" *ngIf="user.num_posts == 1">PUBLICACIÓN</p>
        <p ion-text no-margin color="light-gray" class="semi-bold" style="font-size: 1rem" *ngIf="user.num_posts != 1">PUBLICACIONES</p>
      </ion-col>
      <ion-col col-4 text-center (click)="goRelationships(0)">
        <p ion-text no-margin color="light-gray" class="bold" style="font-size: 1.3rem">{{ user.num_followers }}</p>
        <p ion-text no-margin color="light-gray" class="semi-bold" style="font-size: 1rem" *ngIf="user.num_followers == 1">SEGUIDOR</p>
        <p ion-text no-margin color="light-gray" class="semi-bold" style="font-size: 1rem" *ngIf="user.num_followers != 1">SEGUIDORES</p>
      </ion-col>
      <ion-col col-4 text-center (click)="goRelationships(1)">
        <p ion-text no-margin color="light-gray" class="bold" style="font-size: 1.3rem">{{ user.num_followeds }}</p>
        <p ion-text no-margin color="light-gray" class="semi-bold" style="font-size: 1rem" *ngIf="user.num_followeds == 1">SEGUIDO</p>
        <p ion-text no-margin color="light-gray" class="semi-bold" style="font-size: 1rem" *ngIf="user.num_followeds != 1">SEGUIDOS</p>
      </ion-col>
    </ion-row>
  </div>
</ion-content>